#ifndef TMDisplayingCErrorShowEC_H
#define TMDisplayingCErrorShowEC_H

#include "TMDisplaying.h"
#include "AliITSRawStreamSPDErrorLog.h"

class TGTextButton;

class TMDisplayingCErrorShowEC : public TMDisplaying {

 public:
  TMDisplayingCErrorShowEC(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingCErrorShowEC();

  virtual void   CreateButtonFrame();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual void   ProcessOpenCErrorCodesFrame();

 protected:

  TGTextButton *fShowErrorCodesButton;

  enum {ADD_ID_START=1000};

  ClassDef(TMDisplayingCErrorShowEC, 0)
};

#endif
